Customer CDP
Create a customer journey
Requires workflows:write, Customer CDP, Journeys and a current administrator. Creation saves a draft and never activates delivery.
POST
/
api
/
v2
/
accounts
/
{accountId}
/
cdp
/
journeys
Create a customer journey
curl --request POST \
--url https://app.huechat.ai/api/v2/accounts/{accountId}/cdp/journeys \
--header 'Content-Type: application/json' \
--data '
{
"description": "<string>",
"is_active": true,
"name": "Gold customer welcome",
"settings": {},
"steps": [
{}
],
"trigger_type": "contact.created",
"version": 2
}
'import requests
url = "https://app.huechat.ai/api/v2/accounts/{accountId}/cdp/journeys"
payload = {
"description": "<string>",
"is_active": True,
"name": "Gold customer welcome",
"settings": {},
"steps": [{}],
"trigger_type": "contact.created",
"version": 2
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
description: '<string>',
is_active: true,
name: 'Gold customer welcome',
settings: {},
steps: [{}],
trigger_type: 'contact.created',
version: 2
})
};
fetch('https://app.huechat.ai/api/v2/accounts/{accountId}/cdp/journeys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"code": "plan_disabled",
"error": "Record not found or unavailable",
"feature": "customer_cdp"
}{
"code": "plan_disabled",
"error": "Record not found or unavailable",
"feature": "customer_cdp"
}{
"code": "plan_disabled",
"error": "Record not found or unavailable",
"feature": "customer_cdp"
}{
"code": "plan_disabled",
"error": "Record not found or unavailable",
"feature": "customer_cdp"
}{
"code": "plan_disabled",
"error": "Record not found or unavailable",
"feature": "customer_cdp"
}{
"code": "plan_disabled",
"error": "Record not found or unavailable",
"feature": "customer_cdp"
}Path Parameters
HueChat account ID
Body
application/json
Journey draft
Response
Created
The response is of type object.
⌘I
Create a customer journey

